Bug 506650 - preupgrade(-cli) aborts when trying to find the UUID of /dev/root (F10->F11)
preupgrade(-cli) aborts when trying to find the UUID of /dev/root (F10->F11)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-18 01:00 EDT by Thomas Sailer
Modified: 2014-01-21 18:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:34:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thomas Sailer 2009-06-18 01:00:56 EDT
Description of problem:
When trying to upgrade a fully uptodate F10 (x86_64) using preupgrade, preupgrade terminates with an unhandled exception when it tries to find the UUID of /dev/root.

Traceback (most recent call last):                                              
  File "/usr/share/preupgrade/preupgrade-cli.py", line 305, in <module>         
    pu.main(myrelease)                                                          
  File "/usr/share/preupgrade/preupgrade-cli.py", line 219, in main             
    extra_args += " ks=%s" % self.generate_kickstart(extra_cmds=self.kickstart_cmds)                                                                            
  File "/usr/lib/python2.5/site-packages/preupgrade/__init__.py", line 581, in generate_kickstart                                                               
    ks[4] += ' --root-device=UUID=%s' % dev.device_to_uuid('/dev/root')         
  File "/usr/lib/python2.5/site-packages/preupgrade/dev.py", line 55, in device_to_uuid                                                                         
    return device_to_uuid(device)                                               
  File "/usr/lib/python2.5/site-packages/preupgrade/dev.py", line 40, in device_to_uuid                                                                         
    if not device.startswith('/dev/'):                                          
AttributeError: 'NoneType' object has no attribute 'startswith'                 


Version-Release number of selected component (if applicable):
preupgrade-1.1.0-1.fc10.noarch

How reproducible:
always

Steps to Reproduce:
1. preupgrade-cli  "Fedora 11 (Leonidas)"
2. wait for the above exception
  
Actual results:
above exception

Expected results:
preupgrade downloads the required packages
Comment 1 Bug Zapper 2009-11-18 07:06:25 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Quintin Hill 2009-11-26 07:11:37 EST
I am also seeing this problem on Fedora 11 Preupgrade on an Acer Aspire One.  There is a FIXME in the code here.
Comment 3 Quintin Hill 2009-11-26 07:28:18 EST
In my case it is caused by /sbin/blkid failing to return a UUID for my device.  This is because blkid fails to recognise ext4 volumes without a journal.
Comment 4 Quintin Hill 2009-11-26 07:42:23 EST
Workaround: Use blkid (and libuuid and libblkid) from Fedora 12.
Comment 5 Bug Zapper 2009-12-18 04:34:19 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.